from tkinter import *
import tkinter.messagebox

class Muunnin2:
    def __init__(self):
        self.__paaikkuna = Tk()
        self.__paaikkuna.title("Lampotilamuunnin")
        self.__teksti = Label(self.__paaikkuna, \
                              text = "Fahrenheit-lampotila:")
        self.__ruutu = Entry(self.__paaikkuna, \
                             width = 10)
        self.__nappi = Button(self.__paaikkuna, \
                              text = "Muunna", \
                              command = self.muunna_asteet)
        self.__vastaus = Label(self.__paaikkuna, \
                               text = "Celsius-lampotila:")
        self.__teksti.pack()
        self.__ruutu.pack()
        self.__vastaus.pack()
        self.__nappi.pack()
        mainloop()

    def muunna_asteet(self):
        syote = self.__ruutu.get()
        try:
            fahrenheit = float(syote)
            celsius = 5.0 / 9.0 * (fahrenheit - 32.0)
            vastausteksti = "Celsius-lampotila: {:.2f} C".\
                            format(celsius)
            self.__vastaus.configure(text = vastausteksti)
        except ValueError:
            virheteksti = "Anna lampotila lukuna!"
            tkinter.messagebox.showerror("Virhe", \
                                         virheteksti)
    
oma_ikkuna = Muunnin2()